package es.verdnatura.domain

import es.verdnatura.presentation.view.feature.smarttag.sacador.model.SmartTagRegister
import retrofit2.Call
import retrofit2.http.*

interface NodeJsService {

    /*   @POST("/bindShelving")
       fun bindShelving(@Header("Content-Type") content_type: String,
                 @Body params: SmartTagNode):
               Call<SmartTagNode>*/

//NODEJS TEST

    @GET("/bindShelving/{smarttag}&{shelvingFK}&{height}")
    fun bindShelving(
        @Header("Content-Type") content_type: String,
        @Path("smarttag") id: String,
        @Path("shelvingFK") id2: String,
        @Path("height") id3: String

    ):
            Call<SmartTagRegister>

    @GET("/insertTicket/{collectionFk}")
    fun insertTicket(
        @Header("Content-Type") content_type: String,
        @Path("collectionFk") id: String

    ):
            Call<SmartTagRegister>


    class SmartTagNode(
        var message: String = "",
        var smarttag: String = "",
        var wagon: String = "",
        var shelving: String = "",
        var isError: Boolean = false,
        var errorMessage: String = ""
    )

}

